Skip to Content
kosemdocs
ReferenceAPIInvitations

List invitations

Lists the invitations of an organization, in every state.

GET
/v1/organizations/{organization}/invitations

Lists the invitations of an organization, in every state.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
invitations*array<>

Invitations, oldest first.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/invitations'
Example Response
{
  "invitations": [
    {
      "acceptor": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "email": "string",
      "expireTime": "2019-08-24T14:15:22Z",
      "grants": [
        {
          "resource": "string",
          "role": "string"
        }
      ],
      "inviter": "string",
      "kind": "MEMBER",
      "name": "string",
      "state": "PENDING",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextPageToken": "string"
}